Subject: [Gen-art] Genart review of draft-templin-intarea-seal-51.txt

From: Christer Holmberg <[email-masked]>
Date: Tue, 19 Feb 2013 10:09:45 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                    draft-templin-intarea-seal-51.txt

Reviewer:                     Christer Holmberg

Review Date:                 19 Feb 2013

IETF LC End Date:        20 Feb 2013

IETF Telechat Date:       21 Feb 2013

Summary:  The draft is well written, but with some editorial comments that I suggest to be addressed before publication.

Major Issues: None

Minor Issues: None

Editorial nits: See below

Q_ED_1: Most of the text in the Abstract section does not belong there. The section should talk about what the document does, and not define what a subnetwork is etc. Only the last sentence talks about what the draft is about.

Q_ED_2: In the Introduction section, I would suggest to add a reference for IP encapsulating/tunneling. RFC 2003 is referenced later in the document, but I think it would be good to have something also in the Introduction.

Q_ED_3: In section 1.2, do you need to define 'subnetwork' here? Isn't it better to have the definition in one single place - the Terminology section?

Q_ED_4: In section 12, there seems to be a dot too much :)

Best regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 19 Feb 2013 10:11:11 +0000

E-mail address corrected.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 19. helmikuuta 2013 12:10
To: [email-masked]
Cc: [email-masked]
Subject: [Gen-art] Genart review of draft-templin-intarea-seal-51.txt

Review Date:                 19 Feb 2013

Major Issues: None

Minor Issues: None

Best regards,

Christer

---

From: "Fred L. Templin" <[email-masked]>
Date: Tue, 19 Feb 2013 10:47:10 -0800 (PST)

Hello Christer,

Thank you for your review input, and please see below for responses:

Regards - Fred
[email-masked]

>________________________________
> From: Christer Holmberg <[email-masked]>
>To: "[email-masked]" <[email-masked]> 
>Cc: "[email-masked]" <[email-masked]> 
>Sent: Tuesday, February 19, 2013 2:11 AM
>Subject: RE: Genart review of draft-templin-intarea-seal-51.txt
> 
>
> 
>From:[email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg

Here is a proposed rewrite of the abstract:

  "The Subnetwork Encapsulation and Adaptation Layer (SEAL) operates over virtual topologies configured over connected IP
   network routing regions bounded by encapsulating border nodes. These virtual topologies are manifested by tunnels that
   may span multiple IP and/or sub-IP layer forwarding hops, where they may incur packet duplication, packet reordering, source
   address spoofing and traversal of links with diverse Maximum Transmission Units (MTUs). SEAL uniquely addresses these
   issues through the encapsulation and messaging mechanisms specified in this document."

>Q_ED_2: In the Introduction section, I would suggest to add a reference for IP encapsulating/tunneling. RFC 2003 is referenced later in the document, but I think it would be good to have something a…

Citations for IP encapsulating/tunneling can be added as follows

  "The use of IP encapsulation (also known as "tunneling") has long been considered as the means for
    creating such virtual topologies (e.g., see [RFC2003][RFC2473])."

>Q_ED_3: In section 1.2, do you need to define ‘subnetwork’ here? Isn’t it better to have the definition in one single place – the Terminology section?

Proposed resolution is to rewrite the first sentence of this section as follows:

   "This document concerns subnetworks manifested through a virtual topology configured over a connected
     network routing region and bounded by encapsulating border nodes."

>Q_ED_4: In section 12, there seems to be a dot too much J

I don't understand this - could you clarify?

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 19 Feb 2013 19:21:31 +0000

Hi Fred,

Comments inline.

>   issues through the encapsulation and messaging mechanisms specified in this document."

It looks good, but I would start with a "This document specifies a Subnetwork Encapsulation and Adaptation Layer (SEAL). SEAL operates over virtual...."

>    creating such virtual topologies (e.g., see [RFC2003][RFC2473])."

Looks good.

>     network routing region and bounded by encapsulating border nodes."

Looks good.

>I don't understand this - could you clarify?

At least in my browser, section 12 looks like:

-----

   The IANA is requested to allocate a User Port number for "SEAL" in
   the 'port-numbers' registry for the TCP and UDP protocols.

   The IANA is further requested to allocate an IP protocol number for
   "SEAL" in the "protocol-numbers" registry.

   .

-----

Note the lonely dot at the end, below the second paragraph :)

Regards,

Christer

---

From: "Fred L. Templin" <[email-masked]>
Date: Tue, 19 Feb 2013 11:35:42 -0800 (PST)

Hello Christer,

Thanks again for this follow-up, and see below:

Fred
[email-masked]

----- Original Message -----
> To: Fred L. Templin <[email-masked]>; "[email-masked]" <[email-masked]>
> Sent: Tuesday, February 19, 2013 11:21 AM
>>> I am the assigned Gen-ART reviewer for this draft. For background on 
> Gen-ART, please see the FAQ at 
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
>>>  
>>> Summary:  The draft is well written, but with some editorial comments 
> that I suggest to be addressed before publication.
>>>  
>>> Major Issues: None
>>>  
>>> Minor Issues: None
>>>  
>>> Q_ED_1: Most of the text in the Abstract section does not belong there. 
> The section should talk about what the document does, and not define what a 
> subnetwork is etc. Only the last sentence talks about what the draft is about.
>> 
>>   "The Subnetwork Encapsulation and Adaptation Layer (SEAL) operates 
> over virtual topologies configured over connected IP
>>    network routing regions bounded by encapsulating border nodes. These 
> virtual topologies are manifested by tunnels that
>>    may span multiple IP and/or sub-IP layer forwarding hops, where they may 
> incur packet duplication, packet reordering, source
>>    address spoofing and traversal of links with diverse Maximum Transmission 
> Units (MTUs). SEAL uniquely addresses these
> It looks good, but I would start with a "This document specifies a 
> Subnetwork Encapsulation and Adaptation Layer (SEAL). SEAL operates over 
> virtual...."

Yes, your suggestion looks better. It will appear this way in the next document
version.

>>> Q_ED_2: In the Introduction section, I would suggest to add a reference 
> for IP encapsulating/tunneling. RFC 2003 is referenced later in the document, 
> but I think it would be good to have something also in the Introduction.
>> 
>>   "The use of IP encapsulation (also known as "tunneling") 
> has long been considered as the means for

OK.

>>> Q_ED_3: In section 1.2, do you need to define ‘subnetwork’ here? Isn’t 
> it better to have the definition in one single place – the Terminology section?
>> 

OK.
 
> Note the lonely dot at the end, below the second paragraph :)

Ah, I see it now. This will also be fixed. Thank you.

Fred
[email-masked]

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 19 Feb 2013 20:29:33 +0000

Hi,

With the changes below, I think the document is ready for publication :)

Regards,

Christer

________________________________________
From: Fred L. Templin [[email-masked]]
Sent: Tuesday, 19 February 2013 9:35 PM
To: Christer Holmberg; [email-masked]
Cc: [email-masked]
Subject: Re: Genart review of draft-templin-intarea-seal-51.txt

Hello Christer,

Fred
[email-masked]

----- Original Message -----

OK.

OK.

Fred
[email-masked]